
package com.jeelowcode.framework.utils.component.properties;

import com.jeelowcode.framework.utils.tool.AesUtil;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 低代码参数
 */
@ConfigurationProperties(prefix = "jeelowcode")
public class JeeLowCodeProperties {

    //排除表名
    private static List<String> excludeTableNames;


    private static boolean debug;

    //aes加解密key
    private static String aesKey;

    //JAVA增强生成文件地址
    private static String enhancePath="jeelowcode-module\\jeelowcode-module-biz\\src\\main\\java\\com\\jeelowcode\\module\\biz\\enhance";

    //---------------------------------------------------------------------------


    public static List<String> getExcludeTableNames() {
        return excludeTableNames;
    }

    public void setExcludeTableNames(List<String> excludeTableNames) {
        JeeLowCodeProperties.excludeTableNames = excludeTableNames;
    }

    public static boolean getDebug() {
        return debug;
    }

    public void setDebug(boolean debug) {
        JeeLowCodeProperties.debug = debug;
    }

    public static String getAesKey() {
        return aesKey;
    }

    public void setAesKey(String aesKey) {
        AesUtil.secretKey=aesKey;//赋值
        JeeLowCodeProperties.aesKey = aesKey;
    }

    public static String getEnhancePath() {
        return enhancePath;
    }

    public void setEnhancePath(String enhancePath) {
        JeeLowCodeProperties.enhancePath = enhancePath;
    }
}
